{% extends 'base.html.twig' %}

{% form_theme form _self %}

{% block _zen_igroovebundle_studenttype_memberOf_entry_widget %}
    <li class="list-group-item groupRow" data-group-id="{% if value %}{{ value }}{% endif %}">
        <span class="groupName">{% if data %}{{ data.name }} {% if data.provider and data.provider.id != providerId %}({{ data.provider.name }}){% endif %}{% endif %}</span>
        {{ form_widget(form) }}

        {% if name == "__name__" or ( data and data.manageManually ) %}
            &nbsp; <a class="deleteBt btn btn-danger" onclick="deleteGroupRow(this)">Elimina</a>
        {% endif %}
    </li>
{% endblock %}

{% block body %}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            <h1>Creazione Studente</h1>

            <form data-ajax="false"
                  action="{{ path('student_create', { 'groupId': groupId, 'providerId': providerId }) }}" method="post">

                {{ form_errors(form) }}

                {{ form_row(form.fiscalCode) }}
                {{ form_row(form.lastname) }}
                {{ form_row(form.firstname) }}
                {{ form_row(form.username) }}
                {{ form_row(form.email) }}
                {#
                        {{ form_row(edit_form.provider) }}
                        {{ form_row(edit_form.additionalProviders) }}
                #}
                {{ form_label(form.memberOf) }}
                <ul id="groupsList" class="list-group"
                    data-prototype="{{ form_widget(form.memberOf.vars.prototype)|e }}">
                    {% for groupField in form.memberOf %}
                        {{ form_widget(groupField, {'providerId' : providerId}) }}
                    {% endfor %}
                </ul>
                {% do form.memberOf.setRendered %}

                <div id="groupAddCont">
                    <select name="groupAddSelect" id="groupAddSelect">
                        {% for group in groups %}
                            <option value="{{ group.id }}">{{ group.name }} {% if group.provider and group.provider.id != providerId %}({{ group.provider.name }}){% endif %}</option>
                        {% endfor %}
                    </select>
                    <a class="btn btn-secondary" id="groupAddBtn">Aggiungi</a>
                </div>

                <p>
                    {{ form_widget(form.submit, {'attr':{'style' : 'display: none'}}) }}
                    {{ form_rest(form) }}
                </p>
            </form>

            <div class="row sendBtnArea">
                <div class="col-md-4">
                    <label for="{{ form.submit.vars.id }}" class="btn btn-success">{{ form.submit.vars.label }}</label>
                </div>
                <div class="col-sm-4 text-sm-center"></div>
                <div class="col-md-4 text-sm-right">
                    <a href="{{ groupId != "" ? path('group_show', {'id': groupId }) : path('student_list') }}"
                       class="btn btn-info">
                        Ritorna alla lista
                    </a>
                </div>
            </div>
        </div>
    </main>

{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script type="text/javascript">
        function deleteGroupRow(el) {
            var $groupRow = $(el).parent();
            $groupRow.remove();
        }

        $(document).ready(function () {
            var $groupSelect = $('#groupAddSelect');
            var $groupList = $("#groupsList");
            var $groupAddBtn = $('#groupAddBtn');

            $groupList.data('counter', $groupList.find(".groupRow").length);

            $groupAddBtn.click(function () {
                var selectedGroupId = $groupSelect.val();
                var groupListRows = $groupList.find(".groupRow").toArray();

                if (selectedGroupId === null || selectedGroupId === "") {
                    return;
                }

                for (var i in groupListRows) {
                    if ($(groupListRows[i]).data('group-id') == selectedGroupId) {
                        alert("È già presente un indirizzo per il pool in questione");
                        return;
                    }
                }

                var counter = $groupList.data('counter');
                var baseName = "zen_igroovebundle_studenttype_memberOf_" + counter;
                var $newRow = $($groupList.data('prototype').replace(/__name__/g, counter));
                $newRow.data('group-id', selectedGroupId);
                $newRow.children('.groupName').append($groupSelect.children("option:selected").text());
                $newRow.find("#" + baseName + "_mikrotikPool").val(selectedGroupId);

                $groupList.append($newRow);
                $groupList.data('counter', counter + 1);
            })

        });
    </script>

{% endblock %}
